<mat-sidenav-container>
  <mat-sidenav #sidenavUser
               mode="over"
               position="end"
  >
    <mat-nav-list class="nav-item-container">
      <a mat-list-item
         class="nav-item-link"
         [routerLink]="['/', ApplicationRoutes.Profile]"
         (click)="sidenavUser.close()"
      >
        Профиль пользователя
      </a>

      <a mat-list-item
         class="nav-item-link"
         [routerLink]="['/', ApplicationRoutes.Company]"
         (click)="sidenavUser.close()"
      >
        Профиль компании
      </a>

      <mat-divider></mat-divider>

      <a mat-list-item
         class="nav-item-link"
         (click)="signOut()"
      >
        Выйти из системы
      </a>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content>
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>
